
import org.hibernate.Session;

import util.ConnectionUtil;
import util.HibernateUtil;

public class Main {
  static Session session;

  public static void main(String[] args) {
    open();

    Keyword k = new Keyword();
    session.save(k);
    session.flush();
    
    close();
  }

  
  private static void open() {
    ConnectionUtil.openConnection();
    ConnectionUtil.update("CREATE TABLE KEYWORDS ( ID int, NAME VARCHAR(25) )");
    session = HibernateUtil.currentSession();
  }

  private static void close() {
    ConnectionUtil.closeConnection();
    HibernateUtil.closeSession();
    HibernateUtil.sessionFactory.close();
  }
}