package util;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;

/**
 * @author joeyin
 *  
 */
public class ConnectionUtil {
  static Connection conn = null;

  private static Statement st = null;

  public static void openConnection() {
    try {
      Class.forName("org.hsqldb.jdbcDriver");
      System.out.println("Driver Loaded.");
      conn = DriverManager.getConnection("jdbc:hsqldb:mem:testdb", "sa", "");
      System.out.println("Got Connection.");
      st = conn.createStatement();
    } catch (Exception e) {
      System.err.println("Got an exception! ");
      System.err.println(e.getMessage());
      e.printStackTrace();
      System.exit(0);
    }

  }
  public static String[] select(String sql) {
    ArrayList data = new ArrayList();
    try {
      ResultSet rs = st.executeQuery(sql);
      while (rs.next()) {
        data.add(rs.getString(1));
      }
    } catch (Exception e) {
      System.out.println(sql);
      e.printStackTrace();
    }
    if (data.size() == 0) {
      return new String[0];
    }
    return (String[]) data.toArray(new String[data.size()]);
  }

  public static void update(String sql) {
    try {
      st.executeUpdate(sql);
    } catch (Exception e) {
      e.printStackTrace();
      System.out.println(sql);
      //      System.exit(0);
    }
  }

  public static void closeConnection() {
    try {
      conn.close();
      System.out.println("Connection closed.");
    } catch (Exception e) {
      e.printStackTrace();
    }
  }

}